New Makemvk dependencey missing

Issues related to applications and software problems
Lazlow
Posts: 168
Joined: 2007/09/21 16:55:45

New Makemvk dependencey missing

Post by Lazlow » 2020/03/12 17:00:42

"Error: Package: makemkv-1.15.0-1.el7.x86_64 (epel-multimedia)
Requires: libstdc++.so.6(CXXABI_1.3.9)(64bit)"


As far as I can tell, that is a newer version (libstdc++) than is in any of the repos. Which leads me to wonder how the package was built.

chemal
Posts: 692
Joined: 2013/12/08 19:44:49

Re: New Makemvk dependencey missing

Post by chemal » 2020/03/12 23:03:19

MakeMKV isn't really open source. The main component is only distributed as a binary without source code.

Lazlow
Posts: 168
Joined: 2007/09/21 16:55:45

Re: New Makemvk dependencey missing

Post by Lazlow » 2020/03/12 23:10:45

I guess from my point of view, whether or no it is open source is irrelevant. The package was added to the repo and it does not work. I have always assumed that the people who build the packages actually make sure that they work.

chemal
Posts: 692
Joined: 2013/12/08 19:44:49

Re: New Makemvk dependencey missing

Post by chemal » 2020/03/12 23:22:41

You are guessing wrong. It is the closed-source binary that depends on a newer libstdc++.so than what is available for el7. But this doesn't affect the creation of the rpm. It's only that you can't install this rpm. Tell epel-multimedia to revert to the last version that actually installs on el7 and then freeze the package at this version.

User avatar
TrevorH
Forum Moderator
Posts: 29455
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: New Makemvk dependencey missing

Post by TrevorH » 2020/03/12 23:35:18

What the epel-multimnedia repo produces is up to them. If it doesn't work then you need to tell them, CentOS has nothing to do with that repo.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Lazlow
Posts: 168
Joined: 2007/09/21 16:55:45

Re: New Makemvk dependencey missing

Post by Lazlow » 2020/03/12 23:38:23

I have no issue with it being closed source. It is what it is.

However, if sending out untested packages has become the norm, it would go a long way to explaining why Centos's quality has dropped so far.

It may not directly be a Centos issue but since it is an "approved" repo it is certainly a concern. Not about this particular package but about packages in general.

User avatar
TrevorH
Forum Moderator
Posts: 29455
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: New Makemvk dependencey missing

Post by TrevorH » 2020/03/13 00:11:05

It's not an approved repo. EPEL is approved. This epel-multimedia thing is not.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

afewgoodman
Posts: 97
Joined: 2019/12/11 03:51:58

Re: New Makemvk dependencey missing

Post by afewgoodman » 2020/03/13 01:50:09

Hi,

First, you may check your compiler version. if you use gcc-4.8.5, you will install devtoolset-8 as follows.

# sudo yum install devtoolset-8
# sudo yum install -y devtoolset-8-gcc devtoolset-8-gcc-c++
# sudo scl enable devtoolset-8 -- bash

Then, if you are going to still be in the issue, you will add installed stdc++ library of devtoolset-8 to LD_LIBRARY_PATH .

I think it would clear issue.

BR.

Lazlow
Posts: 168
Joined: 2007/09/21 16:55:45

Re: New Makemvk dependencey missing

Post by Lazlow » 2020/03/13 02:08:29

Comes back as:

"No package devtoolset-8 available."

chemal
Posts: 692
Joined: 2013/12/08 19:44:49

Re: New Makemvk dependencey missing

Post by chemal » 2020/03/13 03:17:12

Don't worry, no package includes a newer version of libstdc++.so.6. The rpm in question is unusable in el7 and can be savely deleted.

Post Reply

Return to “CentOS 7 - Software Support”